self.onError=null;
currentX = currentY = 0;
whichIt = null;
lastScrollX = 0; lastScrollY = 0;
NS = (document.layers) ? 1 : 0;
IE = (document.all || document.getElementById) ? 1: 0;
if(IE){
	if(parseInt(screen.width)>=1024){
		document.getElementById('floater').style.right="20px";
	}else{
		document.getElementById('floater').style.right="2px";
	}
}
function heartBeat() {
   if(IE) { diffY = document.body.scrollTop; diffX = document.body.scrollLeft; }
   if(NS) { diffY = self.pageYOffset; diffX = self.pageXOffset; }
	 //alert()
   if(diffY != lastScrollY) {
     percent = 0.1 * (diffY - lastScrollY);
     if(percent > 0) percent = Math.ceil(percent);
     else percent = Math.floor(percent);
     //if(IE && document.all.floater) document.all.floater.style.pixelTop += percent;
		 if(IE) document.getElementById("floater").style.top = (parseInt(document.getElementById("floater").style.top) + percent) + "px";
     if(NS && document.floater) document.floater.top += percent;
     lastScrollY = lastScrollY + percent;
   }
   if(diffX != lastScrollX) {
     percent = 0.1 * (diffX - lastScrollX);
     if(percent > 0) percent = Math.ceil(percent);
     else percent = Math.floor(percent);
     //if(IE && document.all.floater) document.all.floater.style.pixelLeft += percent;
		 if(IE) document.getElementById("floater").style.left = (parseInt(document.getElementById("floater").style.left) + percent) +"px";
     if(NS && document.floater) document.floater.left += percent;
     lastScrollX = lastScrollX + percent;
		 
   }
}
//alert(document.getElementById("floater").style.top);
if(NS || IE) action = window.setInterval("heartBeat()",10);